/*
Theme Name: Twenty Seventeen BSH
Theme URI: https://wordpress.org/themes/twentyseventeen/
Author: BSH
Author URI: https://bsh.nz/
Description: Modified Twenty Seventeen theme for BSH.
Template: twentyseventeen
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: two-column, responsive-layout
Text Domain: twentyseventeenbsh
*/

/* colors */
h1,h2,h3 {
	color: #211d5e;
}

/* MetaSlider overrides */
/* force non-zero height */
.metaslider {
    height: calc(100% - 70px);
}
.metaslider div[id^="metaslider"], .metaslider ul.slides, .metaslider ul.slides li {
    height: 100% !important;
}
/* position caption */
.metaslider .caption-wrap {
	font-size: 1.7rem;
	z-index: 3;
    margin: auto;
	width: auto !important;
    left: 0 !important;
    top: initial !important;
    bottom: 0 !important;
    right: 0 !important;
	opacity: initial !important;
	padding: 50px 20px 20px 20px;
    background: -moz-linear-gradient(to top, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 50%, rgba(0, 0, 0, 0.5) 100%) !important;
    background: -webkit-linear-gradient(to top, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 50%, rgba(0, 0, 0, 0.5) 100%) !important;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 50%, rgba(0, 0, 0, 0.5) 100%) !important;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#00000000", endColorstr="#4d000000", GradientType=0) !important;
}
/* hide tag line on small screen */
@media screen and (max-width: 48em) {
	.site-description {
		display: none !important;
	}
    .metaslider {
        height: 100%;
    }
}
/* no fade out */
.twentyseventeen-front-page.has-header-image .custom-header-media::before {
    content: none !important;
}

/* site branding */
.site-branding .wrap {
    background: none !important;
    text-align: left;
	margin-left: 0;
	padding-left: 2em;
}
.site-branding .custom-logo {
    margin-top: 8px;
}
.custom-logo-link img, body.home.title-tagline-hidden.has-header-image .custom-logo-link img, body.home.title-tagline-hidden.has-header-video .custom-logo-link img {
    max-width: 180px;
	max-height: none;
}
.site-branding a:hover, .site-branding a:focus {
  opacity: initial !important;
}
.site-branding-text {
    width: 70%;
}
body.page:not(.twentyseventeen-front-page) .entry-title {
	font-size: 1.25rem;
	font-weight: 600;
	letter-spacing: initial;
}
@media screen and (min-width: 48em) {
    .site-branding .wrap {
    	text-align: left;
    }
    .site-branding-text {
        width: 80%;
    }
	.has-header-image .custom-header-media img {
		top: 0;
	}
	body.page-two-column:not(.archive) #primary .entry-header {
		width: 100%;
	}
	.panel-content .wrap {
		padding-bottom: 0;
	}
}
@media screen and (min-width: 30em) {
	.site-branding {
		padding: 0;
		height: 200px;
	}
    .site-branding .wrap {
        text-align: left;
    }	
	body.page:not(.twentyseventeen-front-page) .entry-title {
		font-size: 1.7rem;
	}
}
/* front page only */
.twentyseventeen-front-page .site-branding {
	padding-top: 0;
	top: 20px !important;
	bottom: initial !important;
	vertical-align: initial !important;
}
.twentyseventeen-front-page .site-title {
	font-size: 2.5rem;
}
.twentyseventeen-front-page .site-description {
	font-size: 1.4rem;
}
.has-header-image.twentyseventeen-front-page .site-branding {
    display: initial !important;
    height: auto !important;
}

@media screen and (max-width: 48em) {
    .main-navigation ul {
        text-align: center;
    }
    .main-navigation a {
        padding: 1em 0 !important;
    }
}
@media screen and (min-width: 48em) {
    #menu-menu-container {
        margin-left: 8px;
    }
}

/* facebook */
#fb-btn iframe {
	margin: 0px auto;
	width: 167px;
	height: 54px;
	display: block;
    padding: 1em 1.25em;
}
@media screen and (min-width: 48em) {
	#fb-btn {
		float: right;
	}
	#fb-btn iframe {
		margin-bottom: -20px;
		width: 162px;
		height: 51px;
	}
}

/* less bold */
b, strong {
    font-weight: 600;
}
label {
	font-weight: initial;
}
label span {
	font-weight: initial;
}

/* breadcrumbs */
.breadcrumb-area {
	margin-top: 20px;
	margin-bottom: -20px;
}

/* gallery captions */
.wp-block-gallery .blocks-gallery-item figcaption {
	font-size: 1rem;
	padding-top: 10px;
}

/* menu */
.menu-toggle {
	font-size: 1.5rem;
	padding: 0.5em;
}
.main-navigation li {
	vertical-align: middle;
}

/* bullets */
ul,ol {
    margin-left: 32px;
}

/* content clear header */
.entry-content {
	clear: both;
}

/* quote */
.wp-block-quote p::after {
	margin: 0;
	display: none;
}
.wp-block-button .wp-block-button__link {
	margin-top: 0;
}

/* remove header from main page */
.panel-content .wrap {
	padding-top: 3em;
}
.panel-content header {
	display: none;
}
body.page-two-column:not(.archive) #primary .entry-content {
	float: none;
	width: auto;
}

/* apply button */
.is-large-button a {
	font-size: 1.8rem !important;
	border: 3px solid !important;
}
.wp-block-button {
    margin-bottom: 50px;
}

/* gallery */
.wp-block-gallery .blocks-gallery-item img {
	cursor: pointer;
}
[data-featherlight] img {
	cursor: pointer;
}
.featherlight .featherlight-content .caption {
	overflow: visible;
	white-space: normal;
}
@media screen and (max-width: 40em) {
	.wp-block-image figure.alignleft, .wp-block-image figure.alignright {
		margin-left: initial;
		float: none;
	}
}

.wp-block-video figcaption {
    font-size: initial;
}

/* posts */
.wp-block-latest-posts__post-excerpt .link-more {
	float: right;
}
article .entry-meta,
.wp-block-latest-posts__post-date,
.single-featured-image-header,
span.byline,
aside#secondary {
	display: none !important;
}
div#primary {
	float: none !important;
	width: initial !important;
}

/* file links */
.wp-block-file {
	clear: both;
}
.wp-block-button__link {
	margin-top: 1em !important;
}

/* social link bsh */
.wp-block-social-link-anchor[href*='bsh.nz'] {
	background-image: url(https://bsh.nz/wp-content/uploads/BSH-Logo-blue-circle-plain.png);
	background-size: contain;
	width: 60px;
	height: 60px;
	background-repeat: no-repeat;
}
.wp-block-social-link-anchor[href*='bsh.nz'] svg {
	display: none;
}
.wp-block-social-links .wp-social-link svg {
	height: 2em !important;
    width: 2em !important;
}

/* fluent forms */
.frm-fluent-form a {
	text-decoration: underline;
}
.ffc_power {
	display: none;
}
.field-welcomescreen .ff_conv_input {
	padding-top: 0 !important;
}
.f-enter-desc {
	display: none !important;
}
.vff-footer {
	position: fixed !important;
	width: 300px !important;
	max-width: 60% !important;
}
@media screen and (max-height: 500px) {
	.ff_conv_input {
		padding-top: 0 !important;
	}
}
.fluentform.narrow {
	max-width: 500px;
  	margin: auto;
}
.fluentform.large {
	font-size: 1.4em;
}
.fluentform.large .ff-el-group {
	margin-bottom: 30px;
}
.fluentform.large .ff-el-form-check-label span,
.fluentform.large .ff_tc_label p {
	margin-left: 0.2em;
}
.fluentform.large .ff_tc_label p {
	font-size: 0.9em;
	font-weight: initial;
}
.fluentform.large input[type="radio"],
.fluentform.large input[type="checkbox"] {
	-ms-transform: scale(1.5); /* IE 9 */
	-webkit-transform: scale(1.5); /* Chrome, Safari, Opera */
	transform: scale(1.5);
}
input[type="radio"]:focus,
input[type="checkbox"]:focus {
	outline: none;
}

/* column layout */
.wp-block-columns { 
	margin-bottom: 0 !important;
}


/* limit image block size */
.max-width-230 img { 
	max-width: 230px !important;
}

/* download file button */
.wp-block-file .wp-block-file__button { 
	background-color: #007bff !important;
}

/* separator */
.wp-block-separator {
	clear: both;
}
.wp-block-table.is-style-stripes {
	border-bottom: none !important;
}

/* footer */
.site-info {
    display: none;
}
.footer-widget-1 .widget_nav_menu {
    padding-bottom: 0.6em;
}
.footer-widget-2 .widget {
    padding-bottom: 0;
	font-size: 1.4em;
}
#footer-logo {
	max-width: 210px;
}
.search-form {
    font-size: 0.5rem;
}
.widget-area a {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}
@media screen and (max-width: 38em) {
    /* overrides inline styles within widget */
    .footer-widget-2 section{
        width: 100%;
        max-width: 250px;
        margin: auto;
    }
	.footer-widget-2 .split-widget {
		float: none !important;
		width: initial !important;
		padding-left: initial !important;
	}
	.footer-widget-2 .split-widget:first-of-type {
		text-align: center;
		margin-bottom: 40px;
	}
}

/* blank slate page */
.page-template-blank-slate-template article {
	max-width: 800px;
	margin-left: auto;
	margin-right: auto;
	padding: 5%;
	padding: 10px !important;
}

.nopad {
	padding: 0;
}